' This is the include file for MOUSELIB.QLB and MOUSELIB.LIB.

' Declare a type and allocate a shared variable to store
' the mouse status.
TYPE MouseType
    x        AS INTEGER ' Cursor X coordinate
    y        AS INTEGER ' Cursor Y coordinate
    left     AS INTEGER ' Left button state
    right    AS INTEGER ' Right button state
    event    AS INTEGER ' Event mask
END TYPE
DIM SHARED mouse AS MouseType

' These constants are used to interpret the event element,
' which indicates which event triggered the the most recent
' interrupt.
CONST POSITION = 1
CONST LPRESS = 2
CONST LRELEASE = 4
CONST RPRESS = 8
CONST RRELEASE = 16

' All arguments are passed by reference.
DECLARE FUNCTION MouseInit (statusVarSeg AS INTEGER, statusVarPtr AS INTEGER)
DECLARE SUB MouseSetPosition (x AS INTEGER, y AS INTEGER)
DECLARE SUB MouseSetCrossCursor
DECLARE SUB MouseShow
DECLARE SUB MouseHide

DECLARE FUNCTION InterruptSubClocks
